Page MenuHomePhabricator

Discard ContentTranslation suggestions
Closed, ResolvedPublic1 Story Points

Description

Not all the suggestions proposed for the user to translate will be interesting for the user. Being able to discard suggestions will allow the user to filter the list and also to provide feedback for providing better recommendations the next time.

Acceptance criteria

  1. Suggestions have a discard action ("X" icon) to remove the suggestion from the list.
  2. Once a suggestion is removed, a new one is shown.

Open aspects:

  • We need to define the specific transitions for the removal/addition of suggestions. We want to communicate the status change and need to decide where is more appropriate to add the new suggestion (replacing the current one, at the top or bottom).
  • We can consider a way to express a more detailed reason for which the user discarded the suggestion (if that is useful as feedback for the recommendation algorithm). We can support this using post action options: the suggestion is removed and replaced by a panel with options (Not relevant, not interested in topics about ports, etc.). We may need also to consider ways to dismiss the intermediary step (e.g., by scrolling and/or through settings) and a link to explain why we collect such info.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2015, 11:05 AM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Sep 4 2015, 7:44 AM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Sep 4 2015, 3:15 PM
Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint 4 board.Sep 17 2015, 8:12 AM
Arrbee assigned this task to santhosh.Sep 22 2015, 7:49 AM
Arrbee added a subscriber: Arrbee.
santhosh removed a subscriber: Arrbee.Sep 22 2015, 7:49 AM

WIP screenshot

Change 239059 had a related patch set uploaded (by Santhosh):
WIP: Discard and favorite the suggestions

https://gerrit.wikimedia.org/r/239059

Arrbee moved this task from Backlog to In Progress on the LE-CX6-Sprint break board.
Amire80 renamed this task from Discard suggestions to Discard ContentTranslation suggestions.Oct 1 2015, 6:05 PM
santhosh moved this task from Backlog to In review on the LE-CX7-Sprint 1 board.Oct 6 2015, 12:00 PM
santhosh edited a custom field.Oct 7 2015, 4:43 AM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 7 2015, 10:03 AM
Pginer-WMF moved this task from Backlog to In Review on the LE-CX7-Sprint 2 board.Oct 21 2015, 7:14 AM

Change 239059 merged by jenkins-bot:
Discard and favorite the suggestions

https://gerrit.wikimedia.org/r/239059

Nikerabbit moved this task from In Review to QA on the LE-CX7-Sprint 2 board.Oct 22 2015, 6:45 AM
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 2 board.Oct 27 2015, 7:06 AM

I'd also like to be able to discard an entire class of suggestions, for instance all featured articles.

I'd also like to be able to discard an entire class of suggestions, for instance all featured articles.

Named collections will be discardable - See design


The featured articles (and may be some others) are going to be unnamed, bag of sugestions, shown just 10 at any point at the end of suggestions.

Named collections will be discardable - See design

Nice, thanks.

I illustrated the discarding transition below:

  • The discarded element fades moving vertically.
  • The items below in the list move up to fill the generated gap.
  • A new suggestion appears at the end of the list.

This aligns with the top-down processing direction of the list: the user moves from top to bottom acting on items (i.e.., we don't want new items to appear at the top forcing the user to keep moving up and down).

Arrbee closed this task as Resolved.Dec 2 2015, 7:28 AM
Arrbee added a subscriber: Arrbee.
Arrbee added a comment.Dec 2 2015, 8:27 AM

Remaining bits to be tracked at T120067